Chuyển đến nội dung
Diễn đàn CADViet
Đăng nhập để thực hiện theo  
Ar_Chanwoo

Lisp tao dim

Các bài được khuyến nghị

(defun c:D1000 ()

(setvar "cmdecho" 0)

(command "units" "2" "3" "2" "3" "" "")

(command "style" "Arial" "Vntime.shx" 0 "" "" "" "")

(command "style" "Vnarial" "Vntime.shx" 0 "" "" "" "")

(command "style" "VnarialH" "Vntime.shx" 0 "" "" "" "")

(command "style" "VntimeHshx" "VntimeH.shx" 0 0.8 "" "" "" "")

(command "style" "Vntimeshx" "Vntime.shx" 0 0.8 "" "" "" "")

(command "Dimdle" "1.0" ) ; Kho¶ng c¸ch kÐo dµi cña ®­êng n»m ngang

(command "Dimdli" "7.0" ) ; Kho¶ng c¸ch gi÷a c¸c ®­êng kÝch th­íc trong chuçi kÝch th­íc n»m ngang

(command "Dimasz" "1.5" ) ; KÝch th­íc mòi tªn

(command "Dimexe" "1.0" ) ; Kho¶ng ®­êng dãng nh« ra khái ®­êng kÝch th­íc

(command "Dimexo" "0" ) ; Kho¶ng c¸ch tõ gèc ®­êng dãng ®Õn ®Çu ®­êng dãng

(command "Dimblk" "Oblique" ) ; KiÓu mòi tªn

(command "Dimcen" "1.5" ) ; KÝch th­íc dÊu t©m

(command "Dimtxsty" "Vntimeshx" ) ; KiÓu ch÷

(command "Dimtxt" "2" ) ; ChiÒu cao ch÷

(command "Dimlfac" "1" ) ; Tû lÖ kÝch th­íc thËt.

(command "Dimscale" "1" ) ; Tû lÖ ®­êng kÝch th­íc.

(command "Dimjust" "0" ) ; VÞ trÝ ch÷ sè kÝch th­íc so víi ®­êng kÝch th­íc vµ ®­êng dãng (0..4)

(command "Dimtad" "1" ) ; VÞ trÝ cña ch÷ sè theo ph­¬ng th¼ng ®øng (0..3)

(command "Dimgap" "1" ) ; Kho¶ng c¸ch tõ ch÷ sè dÕn ®­êng n»m ngang

(command "Dimtoh" "off" ) ; H­íng cña ch÷ sè kÝch th­íc

(command "Dimtih" "off" ) ; H­íng cña ch÷ sè kÝch th­íc

(command "Dimfit" "5" ) ; VÞ trÝ ch÷ sè vµ ®­êng kÝch th­íc n»m ngang (0..5)

(command "Dimtix" "on" ) ; Ch÷ sè kÝch th­íc lu«n n»m trong hai ®­êng dãng

(command "Dimdec" "2" ) ; Sè ch÷ sè sau dÊu thËp ph©n

(command "Dimtdec" "3" )

(command "Dimaunit" "0" )

(command "Dimunit" "2" ) ; Lo¹i ®¬n vÞ (Decimal)

(command "Dimzin" "1" ) ; HiÓn thÞ sè 0 kh«ng cã nghÜa (Trailing)

(command "Dimclrd" "140" ) ; Mµu cña ®­êng kÝch th­íc n»m ngang

(command "Dimclre" "140" ) ; Mµu cña ®­êng dãng

(command "Dimclrt" "3" ) ; Mµu cña ch÷ sè

(command "Dimrnd" "0" )

(command "Dimtofl" "on" ) ; B¾t buéc cã ®­êng dãng kÝch th­íc n»m ngang khi ch÷ sè n»m ra ngoµi hai ®­êng dãng

(command "dimstyle" "s" "1000") ; Tªn kiÓu kÝch th­íc

(command "Dimtmove" "1") ; T¹o leader khi move text ra khái ®­êng dãng.

(command "-osnap" "end,mid,int,per,nea,cen")

(command "pdmode" "0")

(command "Mirrtext" "0")

(command "Fillet" "R" "0")

(command "Ucsicon" "off")

(Setvar "cmdecho" 1)

(alert "\nBan da tao xong kieu kich thuoc ty le 1:1000.")

(princ)

)

 

 

 

Khi sử dụng lisp trên để tạo đim, khi đổi kiểu mũi tên "Oblique" sang Architectủal e không thể đổi đc ! Mong mọi người giúp đỡ!

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác
Khi sử dụng lisp trên để tạo đim, khi đổi kiểu mũi tên "Oblique" sang Architectủal e không thể đổi đc ! Mong mọi người giúp đỡ!

Sao lại không được? Bạn chỉ thay (command "Dimblk" "Oblique" ) bằng (command "Dimblk" "archtick" ) thôi mà?

Và theo mình, bạn dùng (setvar...) có vẻ "pro" hơn là (command...). Lý do: setvar thực hiện nhanh hơn command, nhưng vì công việc thực hiện ít quá nên có thể không nhận ra được sự khác biệt.

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác

Tạo một tài khoản hoặc đăng nhập để nhận xét

Bạn cần phải là một thành viên để lại một bình luận

Tạo tài khoản

Đăng ký một tài khoản mới trong cộng đồng của chúng tôi. Điều đó dễ mà.

Đăng ký tài khoản mới

Đăng nhập

Bạn có sẵn sàng để tạo một tài khoản ? Đăng nhập tại đây.

Đăng nhập ngay

Đăng nhập để thực hiện theo  

×